//
//  BoosterConfirmationScreen.swift
//
//
//  Created by Victor on 13/06/2024.
//

import SwiftUI

struct BoosterConfirmationScreen: View {
    
    var body: some View {
        ZStack {
            backgroundGradient
                .ignoresSafeArea()
            VStack {
                VStack(spacing: 32) {
                    Image("booster_logo")
                        .resizable()
                        .frame(width: 210, height: 180)
                    SQText("C’est confirmé !", size: 18, font: .bold)
                        .foregroundColor(.white)
                    SQText("Votre profil sera boosté dès demain.", size: 32, font: .bold)
                        .foregroundColor(.white)
                        .multilineTextAlignment(.center)
                }.padding()
                Spacer()
                VStack(spacing: 16) {
                    SQButton("Accéder à mon option") {
                        
                    }
                    SQText("XX,XX € / mois, sans engagement.", size: 13)
                        .foregroundColor(.white)
                }
            }
        }
    }
}

#Preview {
    BoosterConfirmationScreen()
}
